Bug 228789 - [patch] devel/libsigrok: Import fix for some devices
Summary: [patch] devel/libsigrok: Import fix for some devices
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-06 18:38 UTC by Romain Tartière
Modified: 2018-10-13 00:44 UTC (History)
2 users (show)

See Also:
amdmi3: maintainer-feedback-


Attachments
Fix (2.30 KB, patch)
2018-06-06 18:38 UTC, Romain Tartière
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière freebsd_committer 2018-06-06 18:38:37 UTC
Created attachment 194049 [details]
Fix

Some times ago, a fix [1] that unbreaks some drivers was committed into libsigrok, but no release was rolled since then by upstream.  Because these devices do not work without this patch, it may make sense to add it to the FreeBSD ports tree.

The patch from the Pull-Request does not apply to the 0.5.0 version of libsigrok.  The attached patch is a backport of the fix that applies cleanly.

References:
1. https://github.com/sigrokproject/libsigrok/pull/6
Comment 1 darius 2018-10-12 09:23:53 UTC
This Works For Me(tm) - can it be committed?

Thanks.
Comment 2 Dmitry Marakasov freebsd_committer 2018-10-13 00:41:59 UTC
Maintainer timeout
Comment 3 commit-hook freebsd_committer 2018-10-13 00:44:48 UTC
A commit references this bug:

Author: amdmi3
Date: Sat Oct 13 00:44:30 UTC 2018
New revision: 481952
URL: https://svnweb.freebsd.org/changeset/ports/481952

Log:
  - Unbreak some drivers by importing patch from upstream

  PR:		228789
  Submitted by:	romain
  Approved by:	maintainer timeout (bsam, 4 months)

Changes:
  head/devel/libsigrok/Makefile
  head/devel/libsigrok/files/patch-src_hardware_chronovu-la_api.c
  head/devel/libsigrok/files/patch-src_hardware_fx2lafw_api.c